Subject: Re: Job | Tech Support Remote Screening
From: manish kumar poddar <[email-masked]>
To: [email-masked]
Date: Thu, 19 Nov 2020 08:26:14 +0530

Not able to view Details? Learn More

Job Title
Job | Tech Support Remote Screening

403 Applicants

View All

manish kumar poddar
I have done my B.Tech in computer science Engineering . I have worked with HCL technology as a Junior Engineer Production Support for British Telecom . I have a quality to mold the customer regarding sales and technical support .i am looking for the better jobs in the same profile or Tech support. Currently i am working with Mphasis as a Customer support officer band -5.

Shortlist

Reject

Current Designation Associate Customer Support Engineer
Current Company convergys
Notice Period 15 Days or less
Previous Designation Not Mentioned
Previous Company Not Mentioned

Contact Details
Mobile:

Exp
3 Yrs 4 M

CTC

Location

Not Able to View Details? Learn More
Preferred Location: Bengaluru / Bangalore, Delhi / NCR, Dubai
Education
B.Tech
Post Graduation Institute Not Mentioned
B.Tech/B.E.
SVSU
Key Skills
sales, Customer Service Operations, BPO, Call Center, International Call Center, UK Shift, International Voice Process, International BPO, Customer Care Executive, MS Office, Excel, Word, Bpo Operations, Technical Voice Process

Shortlist

Reject

You can call us at 1800 102 5558 and mail us at  [email-masked]

Report a problem